diff --git a/boot/boot-wrapper-aarch64/boot-wrapper-aarch64.mk b/boot/boot-wrapper-aarch64/boot-wrapper-aarch64.mk
index 3a1af9b02c7e..30b352f8e7df 100644
--- a/boot/boot-wrapper-aarch64/boot-wrapper-aarch64.mk
+++ b/boot/boot-wrapper-aarch64/boot-wrapper-aarch64.mk
@@ -5,7 +5,8 @@
 ################################################################################
 
 BOOT_WRAPPER_AARCH64_VERSION = 8d5a765251d9113c3c0f9fa14de42a9e7486fe8a
-BOOT_WRAPPER_AARCH64_SITE = git://git.kernel.org/pub/scm/linux/kernel/git/mark/boot-wrapper-aarch64.git
+BOOT_WRAPPER_AARCH64_SITE = https://git.kernel.org/pub/scm/linux/kernel/git/mark/boot-wrapper-aarch64.git
+BOOT_WRAPPER_AARCH64_SITE_METHOD = git
 BOOT_WRAPPER_AARCH64_LICENSE = BSD-3-Clause
 BOOT_WRAPPER_AARCH64_LICENSE_FILES = LICENSE.txt
 BOOT_WRAPPER_AARCH64_DEPENDENCIES = linux
diff --git a/package/aer-inject/aer-inject.mk b/package/aer-inject/aer-inject.mk
index 72495bbea26a..6bc9cb44da74 100644
--- a/package/aer-inject/aer-inject.mk
+++ b/package/aer-inject/aer-inject.mk
@@ -5,7 +5,8 @@
 ################################################################################
 
 AER_INJECT_VERSION = 9bd5e2c7886fca72f139cd8402488a2235957d41
-AER_INJECT_SITE = git://git.kernel.org/pub/scm/linux/kernel/git/gong.chen/aer-inject.git
+AER_INJECT_SITE = https://git.kernel.org/pub/scm/linux/kernel/git/gong.chen/aer-inject.git
+AER_INJECT_SITE_METHOD = git
 AER_INJECT_LICENSE = GPL-2.0
 AER_INJECT_LICENSE_FILES = README
 AER_INJECT_DEPENDENCIES = host-flex host-bison
diff --git a/package/firmware-utils/firmware-utils.mk b/package/firmware-utils/firmware-utils.mk
index 151a01882d71..d5b079e4f5a7 100644
--- a/package/firmware-utils/firmware-utils.mk
+++ b/package/firmware-utils/firmware-utils.mk
@@ -5,7 +5,8 @@
 ################################################################################
 
 FIRMWARE_UTILS_VERSION = 86739f2b3ae9502368b89ef37fa6f31c42aad6f4
-FIRMWARE_UTILS_SITE = git://git.openwrt.org/project/firmware-utils.git
+FIRMWARE_UTILS_SITE = https://git.openwrt.org/project/firmware-utils.git
+FIRMWARE_UTILS_SITE_METHOD = git
 FIRMWARE_UTILS_LICENSE = \
 	BSD-2-Clause (tplink-safeloader), \
 	BSD-3-Clause (seama), \
diff --git a/package/flashbench/flashbench.mk b/package/flashbench/flashbench.mk
index e89a250aa31a..f5791c3e95b6 100644
--- a/package/flashbench/flashbench.mk
+++ b/package/flashbench/flashbench.mk
@@ -5,7 +5,8 @@
 ################################################################################
 
 FLASHBENCH_VERSION = 2e30b1968a66147412f21002ea844122a0d5e2f0
-FLASHBENCH_SITE = git://git.linaro.org/people/arnd/flashbench.git
+FLASHBENCH_SITE = https://git.linaro.org/people/arnd/flashbench.git
+FLASHBENCH_SITE_METHOD = git
 FLASHBENCH_LICENSE = GPL-2.0
 FLASHBENCH_LICENSE_FILES = COPYING
 
diff --git a/package/mmc-utils/mmc-utils.mk b/package/mmc-utils/mmc-utils.mk
index 8c264a454a33..c84737869264 100644
--- a/package/mmc-utils/mmc-utils.mk
+++ b/package/mmc-utils/mmc-utils.mk
@@ -5,7 +5,8 @@
 ################################################################################
 
 MMC_UTILS_VERSION = d40ec535b9d4e4c974e8c2fbfb422cd0348cc5e8
-MMC_UTILS_SITE = git://git.kernel.org/pub/scm/linux/kernel/git/cjb/mmc-utils.git
+MMC_UTILS_SITE = https://git.kernel.org/pub/scm/linux/kernel/git/cjb/mmc-utils.git
+MMC_UTILS_SITE_METHOD = git
 MMC_UTILS_LICENSE = GPL-2.0
 MMC_UTILS_LICENSE_FILES = mmc.h
 
diff --git a/package/mxsldr/mxsldr.mk b/package/mxsldr/mxsldr.mk
index 239b40ad29af..2375b9f42b59 100644
--- a/package/mxsldr/mxsldr.mk
+++ b/package/mxsldr/mxsldr.mk
@@ -5,7 +5,8 @@
 ################################################################################
 
 MXSLDR_VERSION = 2793a657ab7a22487d21c1b020957806f8ae8383
-MXSLDR_SITE = git://git.denx.de/mxsldr.git
+MXSLDR_SITE = https://git.denx.de/mxsldr.git
+MXSLDR_SITE_METHOD = git
 MXSLDR_LICENSE = GPL-2.0+
 MXSLDR_LICENSE_FILES = COPYING
 HOST_MXSLDR_DEPENDENCIES = host-libusb host-pkgconf
diff --git a/package/open62541/open62541.mk b/package/open62541/open62541.mk
index fb28a614e2a7..627c29e95b6c 100644
--- a/package/open62541/open62541.mk
+++ b/package/open62541/open62541.mk
@@ -6,7 +6,7 @@
 
 OPEN62541_VERSION = v1.2.2
 OPEN62541_SITE_METHOD = git
-OPEN62541_SITE = git://github.com/open62541/open62541.git
+OPEN62541_SITE = https://github.com/open62541/open62541.git
 OPEN62541_GIT_SUBMODULES = YES
 OPEN62541_INSTALL_STAGING = YES
 OPEN62541_LICENSE = MPL-2.0
diff --git a/package/pahole/pahole.mk b/package/pahole/pahole.mk
index 1ad937062dfd..da6d67e6a293 100644
--- a/package/pahole/pahole.mk
+++ b/package/pahole/pahole.mk
@@ -5,7 +5,7 @@
 ################################################################################
 
 PAHOLE_VERSION = v1.23
-PAHOLE_SITE = git://git.kernel.org/pub/scm/devel/pahole/pahole.git
+PAHOLE_SITE = https://git.kernel.org/pub/scm/devel/pahole/pahole.git
 PAHOLE_SITE_METHOD = git
 # pahole contains git submodule and relies on them to be built.
 PAHOLE_GIT_SUBMODULES = YES
diff --git a/package/psplash/psplash.mk b/package/psplash/psplash.mk
index 5e61f2392f78..69f9bf386da0 100644
--- a/package/psplash/psplash.mk
+++ b/package/psplash/psplash.mk
@@ -5,7 +5,8 @@
 ################################################################################
 
 PSPLASH_VERSION = 44afb7506d43cca15582b4c5b90ba5580344d75d
-PSPLASH_SITE = git://git.yoctoproject.org/psplash
+PSPLASH_SITE = https://git.yoctoproject.org/psplash
+PSPLASH_SITE_METHOD = git
 PSPLASH_LICENSE = GPL-2.0+
 PSPLASH_LICENSE_FILES = COPYING
 PSPLASH_AUTORECONF = YES
diff --git a/package/rtc-tools/rtc-tools.mk b/package/rtc-tools/rtc-tools.mk
index 2ef850a81f60..2882c88575d3 100644
--- a/package/rtc-tools/rtc-tools.mk
+++ b/package/rtc-tools/rtc-tools.mk
@@ -5,7 +5,8 @@
 ################################################################################
 
 RTC_TOOLS_VERSION = 33ef4aa1c92b0c92a351284d93d1ac5570de9cc7
-RTC_TOOLS_SITE = git://git.kernel.org/pub/scm/linux/kernel/git/abelloni/rtc-tools.git
+RTC_TOOLS_SITE = https://git.kernel.org/pub/scm/linux/kernel/git/abelloni/rtc-tools.git
+RTC_TOOLS_SITE_METHOD = git
 RTC_TOOLS_LICENSE = GPL-2.0
 RTC_TOOLS_LICENSE_FILES = COPYING
 
diff --git a/package/rtmpdump/rtmpdump.mk b/package/rtmpdump/rtmpdump.mk
index db79a796dcac..fb381d0e1048 100644
--- a/package/rtmpdump/rtmpdump.mk
+++ b/package/rtmpdump/rtmpdump.mk
@@ -5,7 +5,8 @@
 ################################################################################
 
 RTMPDUMP_VERSION = c5f04a58fc2aeea6296ca7c44ee4734c18401aa3
-RTMPDUMP_SITE = git://git.ffmpeg.org/rtmpdump
+RTMPDUMP_SITE = https://git.ffmpeg.org/rtmpdump
+RTMPDUMP_SITE_METHOD = git
 RTMPDUMP_INSTALL_STAGING = YES
 # Note that rtmpdump is GPL-2.0 but librtmp has its own license and since we only
 # care about librtmp, it's LGPL-2.1+
diff --git a/package/sox/sox.mk b/package/sox/sox.mk
index 4b09b94bc3e3..1896437ad4c7 100644
--- a/package/sox/sox.mk
+++ b/package/sox/sox.mk
@@ -5,7 +5,7 @@
 ################################################################################
 
 SOX_VERSION = 7524160b29a476f7e87bc14fddf12d349f9a3c5e
-SOX_SITE = git://git.code.sf.net/p/sox/code
+SOX_SITE = https://git.code.sf.net/p/sox/code
 SOX_SITE_METHOD = git
 SOX_DEPENDENCIES = host-autoconf-archive host-pkgconf
 SOX_LICENSE = GPL-2.0+ (sox binary), LGPL-2.1+ (libraries)
diff --git a/package/tftpd/tftpd.mk b/package/tftpd/tftpd.mk
index 42b5f17821ad..ceac24119eb4 100644
--- a/package/tftpd/tftpd.mk
+++ b/package/tftpd/tftpd.mk
@@ -5,7 +5,8 @@
 ################################################################################
 
 TFTPD_VERSION = b2b34cecc8cbc18ff6f1fc00bda6ae6e9011e6c7
-TFTPD_SITE = git://git.kernel.org/pub/scm/network/tftp/tftp-hpa.git
+TFTPD_SITE = https://git.kernel.org/pub/scm/network/tftp/tftp-hpa.git
+TFTPD_SITE_METHOD = git
 TFTPD_CONF_OPTS = --without-tcpwrappers
 TFTPD_LICENSE = BSD-4-Clause
 TFTPD_LICENSE_FILES = tftpd/tftpd.c
diff --git a/package/wilink-bt-firmware/wilink-bt-firmware.mk b/package/wilink-bt-firmware/wilink-bt-firmware.mk
index 722c4655cd75..a5f3a826090b 100644
--- a/package/wilink-bt-firmware/wilink-bt-firmware.mk
+++ b/package/wilink-bt-firmware/wilink-bt-firmware.mk
@@ -5,7 +5,7 @@
 ################################################################################
 
 WILINK_BT_FIRMWARE_VERSION = 43fca73c6a98c63fcb98f82af5bf83761778e005
-WILINK_BT_FIRMWARE_SITE = git://git.ti.com/ti-bt/service-packs.git
+WILINK_BT_FIRMWARE_SITE = https://git.ti.com/git/ti-bt/service-packs.git
 WILINK_BT_FIRMWARE_SITE_METHOD = git
 WILINK_BT_FIRMWARE_LICENSE = PROPRIETARY
 WILINK_BT_FIRMWARE_LICENSE_FILES = LICENSE